## aeneas-1.7.3.tar.gz

=== requirements.txt ===
BeautifulSoup4>=4.5.1
lxml>=3.6.0
numpy>=1.9

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/aeneas.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/aeneas.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/aeneas"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/aeneas"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== aeneas/cdtw/Makefile ===
# aeneas is a Python/C library and a set of tools
# to automagically synchronize audio and text (aka forced alignment)
#
# Copyright (C) 2012-2013, Alberto Pettarin (www.albertopettarin.it)
# Copyright (C) 2013-2015, ReadBeyond Srl   (www.readbeyond.it)
# Copyright (C) 2015-2017, Alberto Pettarin (www.albertopettarin.it)
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

PREFIX=cdtw

FUNC=$(PREFIX)_func
DRIVER=$(PREFIX)_driver
SETUP_PY=$(PREFIX)_setup.py

SRCS=$(DRIVER).c $(FUNC).c ../cint/cint.c
CLIBS=-lm

CC=gcc
CFLAGS=-Wall -pedantic -std=c99
PYTHON=python



all: driver py

$(DRIVER): $(SRCS)
	$(CC) $(SRCS) -o $(DRIVER) $(CLIBS) $(CFLAGS) 

driver: $(DRIVER)

test: $(DRIVER)
	./$(DRIVER) || exit 0
	./$(DRIVER) 12 3000 ../tests/res/cdtw/mfcc1_12_1332 1332 ../tests/res/cdtw/mfcc2_12_868 868 cm > /dev/null
	./$(DRIVER) 12 3000 ../tests/res/cdtw/mfcc1_12_1332 1332 ../tests/res/cdtw/mfcc2_12_868 868 acm > /dev/null
	./$(DRIVER) 12 3000 ../tests/res/cdtw/mfcc1_12_1332 1332 ../tests/res/cdtw/mfcc2_12_868 868 path > /dev/null

clean_driver:
	rm -rf $(DRIVER)

py: clean_py $(SETUP_PY)
	$(PYTHON) $(SETUP_PY) build_ext --inplace

clean_py:
	rm -rf *.pyc *.so build __pycache__

clean: clean_driver clean_py

=== aeneas/cew/Makefile ===
# aeneas is a Python/C library and a set of tools
# to automagically synchronize audio and text (aka forced alignment)
#
# Copyright (C) 2012-2013, Alberto Pettarin (www.albertopettarin.it)
# Copyright (C) 2013-2015, ReadBeyond Srl   (www.readbeyond.it)
# Copyright (C) 2015-2017, Alberto Pettarin (www.albertopettarin.it)
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

PREFIX=cew

FUNC=$(PREFIX)_func
DRIVER=$(PREFIX)_driver
SETUP_PY=$(PREFIX)_setup.py

SRCS=$(DRIVER).c $(FUNC).c ../cint/cint.c
CLIBS=-lespeak

CC=gcc
CFLAGS=-Wall -pedantic -std=c99
PYTHON=python



all: driver py

$(DRIVER): $(SRCS)
	$(CC) $(SRCS) -o $(DRIVER) $(CLIBS) $(CFLAGS) 

driver: $(DRIVER)

test: $(DRIVER)
	./$(DRIVER) || exit 0
	./$(DRIVER) en "Hello|World|My|Dear|Friend" /tmp/out.wav 0.0 0
	./$(DRIVER) en "Hello|World|My|Dear|Friend" /tmp/out.wav 0.0 1
	./$(DRIVER) en "Hello|World|My|Dear|Friend" /tmp/out.wav 2.0 0
	./$(DRIVER) en "Hello|World|My|Dear|Friend" /tmp/out.wav 2.0 1

clean_driver:
	rm -rf $(DRIVER)

py: clean_py $(SETUP_PY)
	$(PYTHON) $(SETUP_PY) build_ext --inplace

clean_py:
	rm -rf *.pyc *.so build __pycache__

clean: clean_driver clean_py

=== aeneas/cfw/Makefile ===
# aeneas is a Python/C library and a set of tools
# to automagically synchronize audio and text (aka forced alignment)
#
# Copyright (C) 2012-2013, Alberto Pettarin (www.albertopettarin.it)
# Copyright (C) 2013-2015, ReadBeyond Srl   (www.readbeyond.it)
# Copyright (C) 2015-2017, Alberto Pettarin (www.albertopettarin.it)
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

PREFIX=cfw

FUNC=$(PREFIX)_func
DRIVER=$(PREFIX)_driver
SETUP_PY=$(PREFIX)_setup.py

SRCS=$(DRIVER).cc $(FUNC).cc ../cint/cint.c
CXXLIBS=-Ifestival -lFestival -Ispeech_tools -lestools -lestbase -leststring

CXX=g++
CXXFLAGS=-Wall -pedantic
PYTHON=python



all: driver py

$(DRIVER): $(SRCS)
	$(CXX) $(SRCS) -o $(DRIVER) $(CXXLIBS) $(CXXFLAGS) 

driver: $(DRIVER)

test: $(DRIVER)
	./$(DRIVER) || exit 0
	./$(DRIVER) "(language_english)" "Hello|World|My|Dear|Friend" /tmp/out.wav 0.0 0
	./$(DRIVER) "(language_english)" "Hello|World|My|Dear|Friend" /tmp/out.wav 0.0 1
	./$(DRIVER) "(language_english)" "Hello|World|My|Dear|Friend" /tmp/out.wav 2.0 0
	./$(DRIVER) "(language_english)" "Hello|World|My|Dear|Friend" /tmp/out.wav 2.0 1

clean_driver:
	rm -rf $(DRIVER)

py: clean_py $(SETUP_PY)
	$(PYTHON) $(SETUP_PY) build_ext --inplace

clean_py:
	rm -rf build __pycache__ *.pyc *.so

clean: clean_driver clean_py

=== aeneas/cmfcc/Makefile ===
# aeneas is a Python/C library and a set of tools
# to automagically synchronize audio and text (aka forced alignment)
#
# Copyright (C) 2012-2013, Alberto Pettarin (www.albertopettarin.it)
# Copyright (C) 2013-2015, ReadBeyond Srl   (www.readbeyond.it)
# Copyright (C) 2015-2017, Alberto Pettarin (www.albertopettarin.it)
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

PREFIX=cmfcc

FUNC=$(PREFIX)_func
DRIVER=$(PREFIX)_driver
DRIVER_WO_FO=$(DRIVER)_wo_fo
DRIVER_WO_FF=$(DRIVER)_wo_ff
DRIVER_WS_FO=$(DRIVER)_ws_fo
DRIVER_WS_FF=$(DRIVER)_ws_ff
SETUP_PY=$(PREFIX)_setup.py

SRCS=$(DRIVER).c $(FUNC).c ../cwave/cwave_func.c ../cint/cint.c
CLIBS=-lm

CC=gcc
CFLAGS=-Wall -pedantic -std=c99
PYTHON=python



all: driver py

$(DRIVER_WO_FO): $(SRCS)
	$(CC) $(SRCS) -o $(DRIVER_WO_FO) $(CLIBS) $(CFLAGS) 

$(DRIVER_WO_FF): $(SRCS)
	$(CC) $(SRCS) -o $(DRIVER_WO_FF) $(CLIBS) $(CFLAGS) -lrfftw -lfftw -DUSE_FFTW

$(DRIVER_WS_FO): $(SRCS)
	$(CC) $(SRCS) -o $(DRIVER_WS_FO) $(CLIBS) $(CFLAGS) -lsndfile -DUSE_SNDFILE

$(DRIVER_WS_FF): $(SRCS)
	$(CC) $(SRCS) -o $(DRIVER_WS_FF) $(CLIBS) $(CFLAGS) -lsndfile -lrfftw -lfftw  -DUSE_SNDFILE -DUSE_FFTW

driver: $(DRIVER_WO_FO) $(DRIVER_WO_FF) $(DRIVER_WS_FO) $(DRIVER_WS_FF)

test_wo_fo: $(DRIVER_WO_FO)
	./$(DRIVER_WO_FO) || exit 0
	./$(DRIVER_WO_FO) ../tools/res/audio.wav /tmp/out.dt.bin data text
	./$(DRIVER_WO_FO) ../tools/res/audio.wav /tmp/out.db.bin data binary
	./$(DRIVER_WO_FO) ../tools/res/audio.wav /tmp/out.ft.bin file text
	./$(DRIVER_WO_FO) ../tools/res/audio.wav /tmp/out.fb.bin file binary

test_wo_ff: $(DRIVER_WO_FF)
	./$(DRIVER_WO_FF) || exit 0
	./$(DRIVER_WO_FF) ../tools/res/audio.wav /tmp/out.dt.bin data text
	./$(DRIVER_WO_FF) ../tools/res/audio.wav /tmp/out.db.bin data binary
	./$(DRIVER_WO_FF) ../tools/res/audio.wav /tmp/out.ft.bin file text
	./$(DRIVER_WO_FF) ../tools/res/audio.wav /tmp/out.fb.bin file binary

test_ws_fo: $(DRIVER_WS_FO)
	./$(DRIVER_WS_FO) || exit 0
	./$(DRIVER_WS_FO) ../tools/res/audio.wav /tmp/out.dt.bin data text
	./$(DRIVER_WS_FO) ../tools/res/audio.wav /tmp/out.db.bin data binary
	./$(DRIVER_WS_FO) ../tools/res/audio.wav /tmp/out.ft.bin file text
	./$(DRIVER_WS_FO) ../tools/res/audio.wav /tmp/out.fb.bin file binary

test_ws_ff: $(DRIVER_WS_FF)
	./$(DRIVER_WS_FF) || exit 0
	./$(DRIVER_WS_FF) ../tools/res/audio.wav /tmp/out.dt.bin data text
	./$(DRIVER_WS_FF) ../tools/res/audio.wav /tmp/out.db.bin data binary
	./$(DRIVER_WS_FF) ../tools/res/audio.wav /tmp/out.ft.bin file text
	./$(DRIVER_WS_FF) ../tools/res/audio.wav /tmp/out.fb.bin file binary

test: test_wo_fo test_wo_ff test_ws_fo test_ws_ff

clean_driver:
	rm -rf $(DRIVER_WO_FO) $(DRIVER_WO_FF) $(DRIVER_WS_FO) $(DRIVER_WS_FF)

py: clean_py $(SETUP_PY)
	$(PYTHON) $(SETUP_PY) build_ext --inplace

clean_py:
	rm -rf *.pyc *.so build __pycache__

clean: clean_driver clean_py

=== aeneas/cwave/Makefile ===
# aeneas is a Python/C library and a set of tools
# to automagically synchronize audio and text (aka forced alignment)
#
# Copyright (C) 2012-2013, Alberto Pettarin (www.albertopettarin.it)
# Copyright (C) 2013-2015, ReadBeyond Srl   (www.readbeyond.it)
# Copyright (C) 2015-2017, Alberto Pettarin (www.albertopettarin.it)
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

PREFIX=cwave

FUNC=$(PREFIX)_func
DRIVER=$(PREFIX)_driver
SETUP_PY=$(PREFIX)_setup.py

SRCS=$(DRIVER).c $(FUNC).c ../cint/cint.c
CLIBS=-lm

CC=gcc
CFLAGS=-Wall -pedantic -std=c99
PYTHON=python



all: driver py

$(DRIVER): $(SRCS)
	$(CC) $(SRCS) -o $(DRIVER) $(CLIBS) $(CFLAGS) 

driver: $(DRIVER)

test: $(DRIVER)
	./$(DRIVER) || exit 0
	./$(DRIVER) ../tools/res/audio.wav
	./$(DRIVER) ../tools/res/audio.wav 0 10
	./$(DRIVER) ../tools/res/audio.wav 5 5
	./$(DRIVER) ../tests/res/audioformats/mono.empty.wav || exit 0
	./$(DRIVER) ../tests/res/audioformats/mono.invalid.wav || exit 0
	./$(DRIVER) ../tests/res/audioformats/mono.zero.wav || exit 0
	./$(DRIVER) ../tests/res/audioformats/mono.16000.wav
	./$(DRIVER) ../tests/res/audioformats/mono.22050.wav
	./$(DRIVER) ../tests/res/audioformats/mono.44100.wav
	./$(DRIVER) ../tests/res/audioformats/mono.48000.wav

clean_driver:
	rm -rf $(DRIVER)

py: clean_py $(SETUP_PY)
	$(PYTHON) $(SETUP_PY) build_ext --inplace

clean_py:
	rm -rf *.pyc *.so build __pycache__

clean: clean_driver clean_py

=== debian/changelog ===
aeneas (1.7.1) stable; urgency=medium

  * Fix bug #151
  * Downgraded dependency on lxml to lxml>=3.6.0 to help packaging the Windows installer
  * Added aeneas version to log
  * Changed default voice for Festival TTS Wrapper to eng-USA to help people installing from source on Mac OS X

 -- alberto <alberto@nievo>  Sun, 18 Dec 2016 14:32:51 +0100

aeneas (1.7.0) stable; urgency=medium

  * More robust and generic reading of SRT-like files, especially WebVTT
  * Added TextGrid output format
  * Optional MFCC masking for better word-level alignment
  * In multilevel tasks, DTW margin can be specified for each level now
  * Added human-readable descriptions of parameters and languages, listable in aeneas.tools.execute_task
  * Added human-readable descriptions of runtime configuration parameters, listable by all aeneas.tool.*
  * Ability to remove long nonspeech intervals from the output sync map
  * Marked Afrikaans (afr) language as tested
  * Added AWS Polly TTS API wrapper
  * Added benchmark tests
  * Added scripts to manage virtual environments for testing
  * Fix a couple of bugs
  * Code, test, and documentation improvements

 -- alberto <alberto@nievo>  Fri, 02 Dec 2016 22:40:51 +0100

aeneas (1.6.0.1) stable; urgency=medium

  * Fixed bug in Nuance TTS wrapper 

 -- alberto <alberto@nievo>  Fri, 30 Sep 2016 10:42:16 +0200

aeneas (1.6.0) stable; urgency=medium

  * Fixed bug #102
  * Better TTS engine wrappers
  * Added eSpeak-ng TTS wrapper
  * Added caching audio files for faster synthesis
  * The TTS engine can be selected per-level (text in multilevel format)
  * Added cfw Python C++ extension for Festival (disabled by default)
  * Python C extension compilation can be disabled in setup.py via env vars
  * All Python code formatted according to PEP 8 (-E501)
  * All source files have AGPLv3 header
  * Code, test, and documentation improvements

 -- alberto <alberto@nievo>  Mon, 26 Sep 2016 01:02:03 +0200

aeneas (1.5.1) stable; urgency=medium

  * Better aeneas.tools.*
  * Added rconf parameters to prevent running a single C extension
  * Better EAF output
  * Code improvements
  * Extension cew compiled for Mac OS X and Windows
  * Added links to installers for Mac OS X and Windows in the documentation

 -- alberto <alberto@nievo>  Mon, 25 Jul 2016 10:21:51 +0200

aeneas (1.5.0) stable; urgency=medium

  * Rewritten vad.py, sd.py, adjustboundaryalgorithm.py
  * Arbitrary precision time values via timevalue.py
  * Multiple TTS wrappers, including eSpeak, Festival, Nuance TTS APIs
  * Possibility of using custom, user-defined TTS wrappers
  * Possibility of using cew in a separate subprocess to work around a bug in eSpeak C API
  * Plot waveforms with plotter.py and aeneas.tools.plot_waveform
  * Initial support for multilevel input files and sync maps
  * Added AUD and EAF sync map formats
  * More efficient I/O of WAVE files in Python code
  * Improvements to Python C API code
  * Bug fixes and improvements in several Python modules
  * Better documentation

 -- alberto <alberto@nievo>  Sat, 28 May 2016 20:37:21 +0200

aeneas (1.4.1) stable; urgency=medium

  * Added DFXP sync map output format, alias for TTML
  * Added SBV sync map output format (SubViewer format with newline, used by YouTube)
  * Added SUB sync map output format (SubViewer format with [br])
  * Added aeneas.diagnostics to perform setup check, modified aeneas_check_setup.py accordingly
  * Marked Czech (cs) language as tested
  * Optimizated computation of MFCCs if no head/tail has been cut
  * Fixed the numpy deprecated API warning for C extensions
  * Fixed a few bugs and cleaned the source code of the cmfcc C extension, added a C driver program
  * Cleaned the source code of the cew C extension, added a C driver program
  * Cleaned the source code of the cdtw C extension, added a C driver program
  * Added cwave C extension (currently not used), added a C driver program
  * Added write method to Logger to dump log to file
  * Added ConfigurationObject to represent a dictionary with a fixed set of keys, default values, and aliases
  * Now JobConfiguration and TaskConfiguration extend ConfigurationObject
  * Added RuntimeConfiguration, extending ConfigurationObject, to keep the runtime settings, tunable by (expert) users
  * Added to AbstractCLIProgram support for specifying log file path
  * Added to AbstractCLIProgram support for specifying runtime configuration
  * Changed FFMPEG_PARAMETERS_DEFAULT in ffmpeg.py to FFMPEG_PARAMETERS_SAMPLE_16000 (i.e., from 22050 Hz to 16000 Hz)
  * Added support for specifying the temporary directory path in the RuntimeConfiguration
  * Refactored mfcc.py to better fit into the library structure
  * Moved the original mfcc.py into the thirdparty/ directory for clarity and attribution
  * Nicer aeneas_check_setup.py script
  * More unit tests covering runtime configuration options
  * Slimmed the README.md down

 -- alberto <alberto@nievo>  Thu, 11 Feb 2016 18:36:07 +0100

aeneas (1.4.0) stable; urgency=medium

  * Now running on both Python 2.7.x and Python 3.4.x or later, including C extensions
  * For XML-based sync map formats, now using UTF-8 encoding instead of ASCII
  * Unified aeneas.tools.* structure, with better help messages and exit codes
  * All aeneas.tools.* can be run interactively or called from Python code by passing a list of arguments
  * aeneas.tools.convert_syncmap has slightly different option names
  * aeneas.tools.read_text has a different order of arguments and different option names
  * aeneas.tools.synthesize_text has a different order of arguments and different option names
  * aeneas.tools.run_sd has a different order of arguments and different option names
  * Added bin/ scripts
  * Added a flag to disable checking a language code string against listed (supported) ones, allowing for testing with custom espeak voices
  * Ported the unit test launcher run_all_unit_tests.py in Python, with more options than unittest discover


=== debian/control ===
Source: aeneas
Section: python
X-Python-Version: >= 2.7
Priority: optional
Maintainer: Alberto Pettarin <alberto@readbeyond.it>
Build-Depends: debhelper (>= 9.0.0),
               dh-python,
               python-all-dev,
               python-setuptools,
               python-numpy, python-lxml, python-bs4,
               libasound2-dev, libsndfile1-dev, libespeak-dev
Standards-Version: 3.9.5
Homepage: https://github.com/readbeyond/aeneas

Package: python-aeneas
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, 
         espeak, espeak-data, libespeak1, vorbis-tools, ffmpeg, flac
Description: Python library to automagically synchronize audio and text
 aeneas automatically generates a synchronization map between a list of
 text fragments and an audio file containing the narration of the text.
 In computer science this task is known as (automatically computing a)
 forced alignment.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=aeneas

%: 
	dh $@ --with python2 --buildsystem=pybuild
